View Dashboard Widget
View Dashboard Widget
GET
https://api.ocamba.com/v2/adex/dashboard-widgets/{id}
Retrieves an analytics dashboard widget by id. Same Collection envelope as the list; path id is applied as a filter.
Tip
If you don’t know the widget id, list dashboard-widgets to find it.
Note
Missing resource on GET returns 200 with total 0 and items []. Returns a system widget or a widget created by the user.
Rate limits:
- Burst: 10/s
- Steady: 150/m
Path parameters
parametersQuery parameters
parametersResponse schemas
›
200
application/json
›
400
application/json
›
500
application/json
curl -X GET \
"https://api.ocamba.com/v2/adex/dashboard-widgets/{id}" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://api.ocamba.com/v2/adex/dashboard-widgets/{id}';
const options = {
method: 'GET',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v2/adex/dashboard-widgets/{id}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
200 OK
{
"total": 1,
"items": [
{
"id": "12",
"company_id": "200",
"name": "Top browsers",
"description": "Adex top 5 browsers",
"system": 1,
"type": "table",
"conf": {},
"ds": {
"source": "adex.publisher",
"fields": "browser_name,click",
"limit": "5"
},
"create_time": "2026-03-01 10:00:00",
"update_time": "2026-03-01 10:00:00"
}
]
}
400 Bad Request
{
"code": 400,
"title": "Bad request.",
"message": "The request is not valid.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses